
def generate_random_circle(x, y, radius):
    from bokeh.plotting import figure, show
    from numpy.random import random

    # Create a new plot with a title and axis labels
    p = figure(title="Random Circles", tools="pan,wheel_zoom,box_zoom,reset", x_axis_label='x', y_axis_label='y')

    # Generate a random number of circles
    num_circles = int(random() * 10) + 1

    # Create random circles with random positions and radius
    for _ in range(num_circles):
        x0 = random() * 200 - 100
        y0 = random() * 200 - 100
        r = random() * 30

        # Add a circle to the plot
        p.circle(x0, y0, radius=r, fill_color='blue', line_color='black')

    # Display the plot
    show(p)



